Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Class GenericEntityBean

    java.lang.Object
      |
      +--weblogic.ejb.GenericEnterpriseBean
            |
            +--weblogic.ejb.GenericEntityBean

public abstract class GenericEntityBean
extends GenericEnterpriseBean
implements javax.ejb.EntityBean

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`GenericEntityBean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbLoad()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`void` | `ejbStore()`
`protected javax.ejb.EntityContext` | `getEntityContext()`
`void` | `setEntityContext(javax.ejb.EntityContext c)`
`void` | `unsetEntityContext()`

Methods inherited from class weblogic.ejb.GenericEnterpriseBean
`getCurrentTransaction, getCurrentTransactionStatus, getCurrentXID, getEnvEntry, getInitialContext, getTransactionManager, isTracingEnabled, logDebugMessage, logDebugMessage, logErrorMessage, logErrorMessage, setTracingEnabled, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericEntityBean

    public GenericEntityBean()

Method Detail

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext c)

  Specified by:
    setEntityContext in interface javax.ejb.EntityBean

### unsetEntityContext

    public void unsetEntityContext()

  Specified by:
    unsetEntityContext in interface javax.ejb.EntityBean

### getEntityContext

    protected javax.ejb.EntityContext getEntityContext()

### ejbRemove

    public void ejbRemove()

  Specified by:
    ejbRemove in interface javax.ejb.EntityBean

### ejbActivate

    public void ejbActivate()

  Specified by:
    ejbActivate in interface javax.ejb.EntityBean

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    ejbPassivate in interface javax.ejb.EntityBean

### ejbLoad

    public void ejbLoad()

  Specified by:
    ejbLoad in interface javax.ejb.EntityBean

### ejbStore

    public void ejbStore()

  Specified by:
    ejbStore in interface javax.ejb.EntityBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference